petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPDestroy

Destroys KSP context.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPDestroy(KSP *ksp)

Collective on KSP Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

Many br

### Keywords

KSP, destroy

### See Also

KSPCreate(), KSPSetUp(), KSPSolve()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html